MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022614Community[OCCT] OCCT:Modeling Algorithmspublic2011-06-20 12:592014-11-11 13:01
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionreopened 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0022614: Scaling fails with linear (p-)curves
DescriptionPost from the Forum http://www.opencascade.org/org/forum/thread_20945/. [^]
RLN:
====================================
OCC 6.5.0.
If a face's edge lies on linear curve and (?) pcurve scaling produces wrong model.
DRAWEXE reproducer:
- pload MODELING
- pcylinder p 10 50
- explode p f
- tscale p_1 0 0 0 0.001 #p_1 is a cylindrical face
- tscale p_2 0 0 0 0.001 #p_2 is top planar face
#p_1 is wrong, p_2 is fine

- cylinder c 50
- mkface f c 0 5 0 10
- tscale f 0 0 0 0.001
# f is wrong

My assumption is that tscaling sets wrong SameRange/SameParameter flags - it
keeps them true while ranges have changed and no longer match each other.
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug22614_1,bug22614_2,bug22614_3
Attached Files

- Relationships
related to 0024860assignedifv [Regression] OCC 6.7.1 beta BRepBuilderAPI_Transform loses pcurves 

-  Notes
(0017708)
abv (manager)
2011-06-20 13:20

As confirmed by RLN, this is false report.

However, test case deserves to be created in OCCT database, also in the view of
expected integration of RLN fixes, one of which is likely a reason of such bug.
(0031662)
abv (manager)
2014-09-12 14:10

I suggest we add a test case (just add checkshape to Roman's commands) and close the issue
(0032841)
git (administrator)
2014-10-08 19:47

Branch CR22614 has been created by mkv.

SHA-1: a6cb2378f058214cef0369dbfae9260d5ef0d31c


Detailed log of new commits:

Author: mkv
Date: Wed Oct 8 19:46:03 2014 +0400

    Test cases for issue CR22614
(0032842)
mkv (tester)
2014-10-08 19:59
edited on: 2014-10-08 20:09

Dear BugMaster,
Test cases bugs/modalg_5(010)/bug22614_1,bug22614_2,bug22614_3 are created and pushed to new branch CR22614 of occt git-repository.
Test cases bugs/modalg_5(010)/bug22614_1,bug22614_2,bug22614_3 are OK.

(0033422)
git (administrator)
2014-10-21 16:42

Branch CR22614 has been deleted by inv.

SHA-1: a6cb2378f058214cef0369dbfae9260d5ef0d31c

- Related Changesets
occt: master 6e242322
Timestamp: 2014-10-08 15:46:03
Author: mkv
Committer: bugmaster
Details ] Diff ]
0022614: Scaling fails with linear (p-)curves

Test cases for issue CR22614
add - tests/bugs/modalg_5/bug22614_1 Diff ] File ]
add - tests/bugs/modalg_5/bug22614_2 Diff ] File ]
add - tests/bugs/modalg_5/bug22614_3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2011-11-24 16:41 szy Assigned To bugmaster => jgv
2011-11-24 16:41 szy Status acknowledged => assigned
2011-11-24 16:41 szy Resolution suspended => reopened
2011-11-24 16:41 szy Fixed in Version EMPTY =>
2011-11-24 16:41 szy Description Updated View Revisions
2014-04-29 10:33 abv Relationship added related to 0024860
2014-05-23 12:23 ifv Assigned To jgv => nbv
2014-09-12 14:10 abv Note Added: 0031662
2014-09-12 14:10 abv Assigned To nbv => bugmaster
2014-09-12 14:10 abv Target Version => 6.8.0
2014-09-26 16:40 abv Status assigned => feedback
2014-09-29 15:44 bugmaster Assigned To bugmaster => mkv
2014-10-08 19:47 git Note Added: 0032841
2014-10-08 19:59 mkv Note Added: 0032842
2014-10-08 19:59 mkv Assigned To mkv => bugmaster
2014-10-08 19:59 mkv Status feedback => tested
2014-10-08 19:59 mkv Test case number => bugs modalg_5(010) bug22614_1,bug22614_2,bug22614_3
2014-10-08 20:09 mkv Note Edited: 0032842 View Revisions
2014-10-13 17:52 bugmaster Changeset attached => occt master 6e242322
2014-10-13 17:52 bugmaster Status tested => verified
2014-10-21 16:42 git Note Added: 0033422
2014-11-11 12:43 user533 Fixed in Version => 6.8.0
2014-11-11 13:01 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker